%define module_name	et131x
%define module_version	1.2.2
%define module_release	alt2.r52.132626.8

%define kversion	2.6.18
%define krelease	alt8
%define flavour		std-smp

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Summary: %module_name modules
Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release
License: GPL
Group: System/Kernel and hardware

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS: Linux
Url: http://svn.sliepen.eu.org/et131x/

# Automatically added by buildreq on Sun Nov 07 2004
BuildRequires: kernel-source-%module_name
BuildRequires: kernel-build-tools >= 0.7
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name = %module_version

Provides: kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

PreReq: coreutils
PreReq: kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch: %ix86 x86_64

Patch: et131x-1.2.2-module_param.patch

%description
%module_name modules

%prep
rm -rf kernel-source-%module_name-%module_version

tar -jxvf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2

%setup -D -T -n kernel-source-%module_name-%module_version
%patch -p1

%build
export KERNEL_DIR=%_usrsrc/linux-%kversion-%flavour
make -C $KERNEL_DIR KERNEL_INC=$KERNEL_DIR/include SUBDIRS=$PWD \
%ifarch x86_64
KERNEL_64B=x86_64 \
%endif
modules 

%install
mkdir -p %buildroot/%module_dir
cp -a *.ko %buildroot/%module_dir

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%defattr(644,root,root,755)
%module_dir

%changelog
* Mon Jan 29 2007 Sergey Vlasov <vsu@altlinux.ru> 1.2.2-alt2.r52.132626.8
- Removed unneeded "Prereq: modutils".

* Thu Dec 14 2006 L.A. Kostis <lakostis@altlinux.ru> 1.2.2-alt1.r52.132626.8
- first build for Sisyphus.
- add patch for compile on 2.6.16+ kernels.

